classification
Title: Remove licenseUrl field from nuget packages
Type: Stage: resolved
Components: Windows Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: miss-islington, ned.deily, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2019-03-04 02:03 by steve.dower, last changed 2019-03-25 23:32 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12300 merged steve.dower, 2019-03-12 23:19
PR 12301 merged miss-islington, 2019-03-12 23:48
PR 12311 merged steve.dower, 2019-03-13 21:16
Messages (6)
msg337060 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-03-04 02:03
The licenseUrl field in the nuget packages has been deprecated. We should link to the license from the description or summary fields.
msg337818 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-03-12 23:48
New changeset 26c910c59c47bdef4220c34e66c45a625bda5e56 by Steve Dower in branch 'master':
bpo-36174: Update nuget authoring for new license field. (GH-12300)
https://github.com/python/cpython/commit/26c910c59c47bdef4220c34e66c45a625bda5e56
msg337820 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-03-13 00:06
I'll do the 2.7 backport later (hopefully tomorrow, maybe?). Need to spin up my build machine for it.

We currently don't include the license directly in the 2.7 nuget packages, so there's a slightly bigger chance required (hopefully only a line or two, but it needs testing).
msg337821 - (view) Author: miss-islington (miss-islington) Date: 2019-03-13 00:11
New changeset ada2e379738bc0eca6ec030a4a573aa7b98faf78 by Miss Islington (bot) in branch '3.7':
bpo-36174: Update nuget authoring for new license field. (GH-12300)
https://github.com/python/cpython/commit/ada2e379738bc0eca6ec030a4a573aa7b98faf78
msg337877 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-03-13 21:43
New changeset ce5c7a93d47e07327d19dfb47a967f1b18b7d6e8 by Steve Dower in branch '2.7':
bpo-36174: Update nuget authoring for new license field. (GH-12300)
https://github.com/python/cpython/commit/ce5c7a93d47e07327d19dfb47a967f1b18b7d6e8
msg338839 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-03-25 23:32
New changeset 276dcc8cfbb012c932d86d2af60e1797b22b2d1c by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-36174: Update nuget authoring for new license field. (GH-12300)
https://github.com/python/cpython/commit/276dcc8cfbb012c932d86d2af60e1797b22b2d1c
History
Date User Action Args
2019-03-25 23:32:09ned.deilysetnosy: + ned.deily
messages: + msg338839
2019-03-13 22:18:51steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-03-13 21:43:54steve.dowersetmessages: + msg337877
2019-03-13 21:16:02steve.dowersetpull_requests: + pull_request12286
2019-03-13 00:11:13miss-islingtonsetnosy: + miss-islington
messages: + msg337821
2019-03-13 00:06:49steve.dowersetassignee: steve.dower
messages: + msg337820
2019-03-12 23:48:40miss-islingtonsetpull_requests: + pull_request12276
2019-03-12 23:48:19steve.dowersetmessages: + msg337818
2019-03-12 23:19:46steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request12275
2019-03-04 02:03:43steve.dowercreate